us.zoom.sdk

## Class MeetingViewsOptions

- java.lang.Object
- - us.zoom.sdk.MeetingViewsOptions

-     public class MeetingViewsOptions
      extends java.lang.Object

  Options for showing or hiding views on Meeting view

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NO_BUTTON_AUDIO`
    `static int` | `NO_BUTTON_LEAVE`
    `static int` | `NO_BUTTON_MORE`
    `static int` | `NO_BUTTON_PARTICIPANTS`
    `static int` | `NO_BUTTON_SHARE`
    `static int` | `NO_BUTTON_SWITCH_AUDIO_SOURCE`
    `static int` | `NO_BUTTON_SWITCH_CAMERA`
    `static int` | `NO_BUTTON_VIDEO`
    `static int` | `NO_TEXT_MEETING_ID`
    `static int` | `NO_TEXT_PASSWORD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeetingViewsOptions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_BUTTON_VIDEO

          public static final int NO_BUTTON_VIDEO

      See Also:
        Constant Field Values

    - #### NO_BUTTON_AUDIO

          public static final int NO_BUTTON_AUDIO

      See Also:
        Constant Field Values

    - #### NO_BUTTON_SHARE

          public static final int NO_BUTTON_SHARE

      See Also:
        Constant Field Values

    - #### NO_BUTTON_PARTICIPANTS

          public static final int NO_BUTTON_PARTICIPANTS

      See Also:
        Constant Field Values

    - #### NO_BUTTON_MORE

          public static final int NO_BUTTON_MORE

      See Also:
        Constant Field Values

    - #### NO_TEXT_MEETING_ID

          public static final int NO_TEXT_MEETING_ID

      See Also:
        Constant Field Values

    - #### NO_TEXT_PASSWORD

          public static final int NO_TEXT_PASSWORD

      See Also:
        Constant Field Values

    - #### NO_BUTTON_LEAVE

          public static final int NO_BUTTON_LEAVE

      See Also:
        Constant Field Values

    - #### NO_BUTTON_SWITCH_CAMERA

          public static final int NO_BUTTON_SWITCH_CAMERA

      See Also:
        Constant Field Values

    - #### NO_BUTTON_SWITCH_AUDIO_SOURCE

          public static final int NO_BUTTON_SWITCH_AUDIO_SOURCE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MeetingViewsOptions

          public MeetingViewsOptions()